Intereting Posts

npm不能安装依赖我的项目错误404日志

我试图从Github运行一个精美的浏览器游戏,因为我正在尝试使用HTML5和JavaScript制作的游戏。

这里是游戏的Github的链接 。


这是在npmdebugging
404错误404未find
237错误404
404错误404'websocket-server'不在npmregistry中。
237错误404您应该错误地将作者发布
237错误404它被指定为“BrowserQuest”的依赖项
237错误404
237错误404请注意,您也可以从一个安装
237错误404压缩包,文件夹或http url或git url。
238错误系统Windows_NT 6.2.9200
239错误命令“C:\ Program Files \ nodejs \\ node.exe”“C:\ Program Files \ nodejs \ node_modules \ npm \ bin \ npm-cli.js”“install”“-d”
240错误cwd D:\ Web \ hellophaser \ BrowserQuest-master
241错误节点-v v0.10.33
242错误npm -v 1.4.28
243错误代码E404


至于我的package.json

的package.json

{ "name": "BrowserQuest" , "version": "0.0.1" , "private": false , "dependencies": { "underscore": ">0" , "log": ">0" , "bison": ">0" , "websocket": ">0" , "websocket-server": ">0" , "sanitizer": ">0" , "memcache": ">0" } } 

我猜测问题是与下划线模块。 我如何手动下载? 以及如何将其添加到我的项目?

Solutions Collecting From Web of "npm不能安装依赖我的项目错误404日志"

看来packages.json文件已经过时了,因为包websocket-server已经被websocket-server发布了。 请参阅https://www.npmjs.com/package/websocket-server

我会build议在原始回购上提出问题,但他们的问题跟踪器已禁用。

在这里输入图像说明